Package Gnumed :: Package timelinelib :: Package wxgui :: Module component :: Class TimelineComponent |
[frames] | no frames]

# Class TimelineComponent

source code

                       wx.Panel --+
                                  |
    dialogs.mainframe.TimelinePanel --+
                                      |
                                     TimelineComponent

Instance Methods
__init__(self, parent) | source code
handle_db_error(self, e) | source code
open_timeline(self, path) | source code
clear_timeline(self) | source code
Inherited from `dialogs.mainframe.TimelinePanel`: `activated`, `get_sidebar_width`, `hide_sidebar`, `show_sidebar`

Method Details

### __init__(self, parent) (Constructor) | source code
Overrides: dialogs.mainframe.TimelinePanel.__init__